Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter
Class AdapterContext

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.adf.model.adapter.AdapterContext`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  DTContext

public class AdapterContext
extends java.util.HashMap

Defines the context for an adapter.Adapters can get the information like request, connection informstion etc from this context.

Design time context is derived from this context class. Design time context stores or overrides information that are relevant for the design time only.

Version:
  1.0
See Also:
  `DTContext`, Serialized Form

Field Summary
`static java.lang.String` | `CONNECTION_FILE_NAME` Name of the connection file.
`static java.lang.String` | `CONNECTION_INFO` Key to extract connection information from a parameter map.
`static java.lang.String` | `HTTP_REQUEST`
`static java.lang.String` | `HTTP_RESPONSE`
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY` Context factory impl name.

Constructor Summary
`AdapterContext()` Creates an empty context.
`AdapterContext(oracle.adf.model.BindingContext ctx)` Creates an context from a binding context.

Method Summary
`oracle.adf.model.BindingContext` | `getBindingContext()` Gets the binding context associated with this context.
`javax.naming.Context` | `getConnectionContext()` Gets the context for the connections.
`static AdapterContext` | `getDefaultContext()`
`oracle.adf.share.logging.ADFLogger` | `getLogger()` Returns the logger for this context.
`static void` | `setCurrentContextImpl(DTContext impl)` Sets the current design time implementation of this class.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### HTTP_REQUEST

    public static final java.lang.String HTTP_REQUEST

  See Also:
    Constant Field Values

### HTTP_RESPONSE

    public static final java.lang.String HTTP_RESPONSE

  See Also:
    Constant Field Values

### CONNECTION_FILE_NAME

    public static final java.lang.String CONNECTION_FILE_NAME

  Name of the connection file.
  See Also:
    Constant Field Values

### INITIAL_CONTEXT_FACTORY

    public static final java.lang.String INITIAL_CONTEXT_FACTORY

  Context factory impl name.
  See Also:
    Constant Field Values

### CONNECTION_INFO

    public static final java.lang.String CONNECTION_INFO

  Key to extract connection information from a parameter map.

  Adapters can use connection information to access a data source. The adapter definition contains the name of the connection used by the adapter.

  See Also:
    Constant Field Values

Constructor Detail

### AdapterContext

    public AdapterContext()

  Creates an empty context.

### AdapterContext

    public AdapterContext(oracle.adf.model.BindingContext ctx)

  Creates an context from a binding context. The common runtime will use this constructor to create the execution context.
Parameters:
  `ctx` - The binding context for the application.

Method Detail

### getDefaultContext

    public static AdapterContext getDefaultContext()

### setCurrentContextImpl

    public static void setCurrentContextImpl(DTContext impl)

  Sets the current design time implementation of this class.

### getConnectionContext

    public javax.naming.Context getConnectionContext()
                                              throws java.lang.Exception

  Gets the context for the connections. Connections that are created at the design time can be retrieved by looking up the conext returned by this method. The connection context will be created from the ADFContext.
  Returns:
    the read-only initial context.
  Throws:
    `java.lang.Exception`

### getBindingContext

    public oracle.adf.model.BindingContext getBindingContext()

  Gets the binding context associated with this context.
  Returns:
    the binding context. If not available returns null.

### getLogger

    public oracle.adf.share.logging.ADFLogger getLogger()

  Returns the logger for this context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.